Subject: Re: linux-next: Tree for July 18: warning at kernel/lockdep.c:2068 trace_hardirqs_on_caller

From: Bernhard Walle <[email-masked]>
Date: Mon, 21 Jul 2008 15:25:39 +0200

* Vivek Goyal [2008-07-21 09:17]:
> 
> Is /proc/iomem updated upon memory hotplug event.

Yes. I just checked that (yesterday).

I think it would make sense to extend /sys/firmware/memmap on
hot-plugging. Just because on reboot, the firmware will see that
memory, too, and report it. However, we need a way to discriminate the
originally firmware-provided memory map with later added memory. I'm
not sure how that can be done, I have to think about it.

Bernhard
-- 
Bernhard Walle, SUSE LINUX Products GmbH, Architecture Development